The endpoint to get the available payment methods for your contract is POST /api/v2/General/Contracts/{id}/getAvailablePaymentMethods.
Request
POST /api/v2/General/Contracts/GCR_4PSAZ3CQJU4SAEVDQO42JC3YHO0P5A/getAvailablePaymentMethods HTTP/1.1Host: connect-testing.secuconnect.comAuthorization: Bearer qb56tjj1bcvo9n2nj4u38k84loContent-Type: application/jsonAccept: application/json{ "is_demo": true, "currency": "EUR"}This requests the available payment methods for Euro payments for demo transactions.
If everything is good, the API responds with 200 OK, and the list of payment methods:
Response
HTTP/1.1 200 OKContent-Type: application/json[ "Creditcard", "Debit", "Invoice", "Prepay"]In this case, demo transactions in Euro were possible with credit card, SEPA direct debit, and prepayment. There are many more.